import type { NativeContextParams, NativeLlamaContext, NativeCompletionParams, NativeCompletionTokenProb } from './NativeRNLlama';
export type TokenData = {
    token: string;
    completion_probabilities?: Array<NativeCompletionTokenProb>;
};
export type ContextParams = NativeContextParams;
export type CompletionParams = NativeCompletionParams;
export declare class LlamaContext {
    id: number;
    isMetalEnabled: boolean;
    reasonNoMetal: string;
    constructor({ contextId, isMetalEnabled, reasonNoMetal, }: NativeLlamaContext);
    completion(params: CompletionParams, callback: (data: TokenData) => void): Promise<import("./NativeRNLlama").NativeCompletionResult>;
    stopCompletion(): Promise<void>;
    release(): Promise<void>;
}
export declare function setContextLimit(limit: number): Promise<void>;
export declare function initLlama({ model, is_model_asset: isModelAsset, ...rest }: ContextParams): Promise<LlamaContext>;
export declare function releaseAllLlama(): Promise<void>;
//# sourceMappingURL=index.d.ts.map